| eRPC API Reference Rev. 1.8.1 NXP Semiconductors

- Main Page
- API Reference
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
erpc::PrePostAction Class Reference
Infrastructure » Utilities

Client and server may used cb functions before and after rpc call. More...

`#include <erpc_pre_post_action.h>`

## Public Member Functions
| PrePostAction (void)
| PrePostAction constructor.
void | addPreCB (pre_post_action_cb preCB)
| This function sets "before eRPC call start" callback function. More...
void | addPostCB (pre_post_action_cb postCB)
| This function sets "after eRPC call finish" callback function. More...
pre_post_action_cb | getPreCB (void)
| This function returns "before eRPC call start" callback function. More...
pre_post_action_cb | getPostCB (void)
| This function returns "after eRPC call finish" callback function. More...
| ~PrePostAction (void)
| PrePostAction destructor.

## Protected Attributes
pre_post_action_cb | m_preCB
pre_post_action_cb | m_postCB

## Detailed Description

Client and server may used cb functions before and after rpc call.

## Member Function Documentation

void erpc::PrePostAction::addPreCB | ( | pre_post_action_cb | preCB | ) |

This function sets "before eRPC call start" callback function.

Parameters

  [in] | preCB | Pointer for callback function. When NULL and ERPC_PRE_POST_ACTION_DEFAULT is enabled then default function will be set.

void erpc::PrePostAction::addPostCB | ( | pre_post_action_cb | postCB | ) |

This function sets "after eRPC call finish" callback function.

Parameters

  [in] | postCB | Pointer for callback function. When NULL and ERPC_PRE_POST_ACTION_DEFAULT is enabled then default function will be set.

pre_post_action_cb erpc::PrePostAction::getPreCB | ( | void |  | ) |
| inline

This function returns "before eRPC call start" callback function.

Returns
  preCB Pointer for callback function.

pre_post_action_cb erpc::PrePostAction::getPostCB | ( | void |  | ) |
| inline

This function returns "after eRPC call finish" callback function.

Returns
  postCB Pointer for callback function.

## Member Data Documentation

pre_post_action_cb erpc::PrePostAction::m_preCB
| protected

Pointer to "before eRPC call start" callback function.

pre_post_action_cb erpc::PrePostAction::m_postCB
| protected

Pointer to after eRPC call finish" callback function.

The documentation for this class was generated from the following file:

- erpc_pre_post_action.h